import request from '@/utils/request'

// 查询联系我们列表
export function listCONTACTUS(query) {
  return request({
    url: '/portal/CONTACTUS/list',
    method: 'get',
    params: query
  })
}

// 查询联系我们所有列表
export function listAllCONTACTUS(query) {
  return request({
    url: '/portal/CONTACTUS/listAll',
    method: 'get',
    params: query
  })
}

// 查询联系我们详细
export function getCONTACTUS(id) {
  return request({
    url: '/portal/CONTACTUS/getInfo/' + id,
    method: 'get'
  })
}

// 新增联系我们
export function addCONTACTUS(data) {
  return request({
    url: '/portal/CONTACTUS/add',
    method: 'post',
    data: data
  })
}

// 修改联系我们
export function updateCONTACTUS(data) {
  return request({
    url: '/portal/CONTACTUS/edit',
    method: 'post',
    data: data
  })
}

// 删除联系我们
export function delCONTACTUS(id) {
  return request({
    url: '/portal/CONTACTUS/remove/' + id,
    method: 'get'
  })
}
